Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Interface ShippingMethodConstants

Deprecated

    @Deprecated
    public interface ShippingMethodConstants

This ShippingMethodConstants interface defines the constants for the ShippingMethodValue class.

See Also
  `ShippingMethodValue`

Field Summary
`static String` | `FLATRATE` Deprecated A single flat rate price is returned as specified in the price field.
`static String` | `PERCENTAGE` Deprecated The total cost of the order is multiplied by the percenate specified to determine the cost.
`static String` | `PERITEM` Deprecated The count of items in the order is multiplied by the price field to determine the shipping cost.
`static String` | `POLICY` Deprecated Uses the Shipping Cost Calculation Policy to determine the total cost.

Field Detail

### POLICY

    static final String POLICY

  Deprecated
  Uses the Shipping Cost Calculation Policy to determine the total cost.

  See Also
    Constants Summary

### FLATRATE

    static final String FLATRATE

  Deprecated
  A single flat rate price is returned as specified in the price field.

  See Also
    Constants Summary

### PERITEM

    static final String PERITEM

  Deprecated
  The count of items in the order is multiplied by the price field to determine the shipping cost.

  See Also
    Constants Summary

### PERCENTAGE

    static final String PERCENTAGE

  Deprecated
  The total cost of the order is multiplied by the percenate specified to determine the cost.

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.